Subject: Re: bug#49261: 28.0.50; File Locking Breaks Presumptuous Toolchains

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 12 Jul 2021 19:35:38 +0200

Eli Zaretskii <[email-masked]> writes:

> Are we talking about disabling remote locks by default?  If so, how
> about disabling them via a more user-friendly option?  It strikes me
> as weird and un-intuitive to _disable_ something via a "transform"
> function.  And it will definitely be more complex to set up such a
> "transform" function than just use a boolean flag.

The thing is: In Emacs 27, we didn't have file locking for Tramp files.
This has now been introduced, and we're discussing how to disable them
(and only them) in Emacs 28.

Doing that as a transform seems natural, since that's very parallel to
what we're doing in `auto-save-file-name-transforms' (where Tramp file
names are made local).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no